- https://cdn.pixabay.com/photo/2017/01/01/14/39/hacker-1944688_1280.jpg
-
- Nicht selten hört man den Satz "Die können die Daten doch ruhig über mich haben. Ich habe nichts zu verheimlichen." Die Frage ist doch - was kannst du tun, um deine Daten zu schützen?
  
  Passwörter sind die einfachste Möglichkeit unsere sensiblen Daten vor Fremdzugriff zu schützen.
  Viele Internetnutzer haben mehrere E-Mail-Accounts. Dabei achten Sie nicht immer auf die entsprechenden **Anforderungen** an Passwörter. Was vor 3-4 Jahren noch als sicheres Passwort galt, ist heutzutage schon veraltet.
  
  Dabei ist es wichtig zu wissen, dass du im seltensten Fall persönlich als Ziel für einen Hack ausgewählt wirst. Regelmäßig werden riesige Datensätze mit Nutzerdaten gestohlen und veröffentlicht. Eine Übersicht findest du <a href="https://de.wikipedia.org/wiki/Liste_von_Datendiebst%C3%A4hlen">hier</a href>.
  
  Diese können dann oft fernab sonstiger Schutzmechanismen mit entsprechenden Methoden (Brute Force, Dictionary, Rainbow Table, ...) nach schwachen Passwörtern durchsucht werden. Bist du dabei, dann hast du einfach Pech gehabt.
-
- ### 20 meist verwendeten Passwörter 2022 in Deutschland
  
  1. 	123456
  2.  password
  3. 	123456789
  4. 	12345
  5. 	hallo
  6. 	passwort
  7. 	f*****
  8. 	12345
  9. 	master
  10. 1234
  11. qwertz
  12. hallo123
  13. daniel
  14. killer
  15. 123
  16. 111111
  17. super123
  18. guest
  19. michael
  20. matrix
	- *Quelle: NordPass,https://nordpass.com/most-common-passwords-list/*
-
-
- ## Standardverfahren
  
  Als Empfehlung für gute Passwörter liest man häufig, dass ein gutes Passwort
	- mindestens 8 Zeichen lang sein sollte.
	- aus Groß- und Kleinbuchstaben, Sonderzeichen und Ziffern bestehen sollte.
	- nach einem möglichst komplexen Muster gebildet werden sollte.
-
- Ein gutes Passwort wäre somit zum Beispiel:
  
  `f8$)?,G3`
  
  Liest man dann weiter, so folgen meist die Empfehlungen:
	- Niemals für verschiedene Dienste das gleiche Passwort verwenden.
	- Passwörter nicht auf Zetteln oder in Dateien auf einem Computer notieren.
	- Passwörter unbedingt in regelmäßigen Abständen ändern.
-
- Ein typischer Computernutzer kommt heute wahrscheinlich leicht auf **10-20** oder sogar noch deutlich mehr Passwörter, die er oder sie sich auf diese Weise merken müsste. Damit ist die Umsetzung der obigen Forderungen für die meisten Nutzer völlig **unrealistisch**.
- #+BEGIN_IMPORTANT
  Als **Konsequenz** werden dann meist:
  #+END_IMPORTANT
	- Viel zu einfache Passwörter verwendet, in denen dann oft auch noch leicht zu erratende persönliche Daten wie Namen oder Geburtstage vorkommen.
	- Das gleiche Passwort mehrmals bei verschiedenen Diensten verwendet.
	- Passwörter nie oder viel zu selten geändert.
	- Passwörter in einfachen Textdateien auf unsicheren Computern gespeichert.
-
- #+BEGIN_PINNED
  **Aufgabe**
  Welche Folgen kann die Verwendung desselben Passworts für verschiedene Accounts haben? Beschreibe ein mögliches Szenario.
  #+END_PINNED
	- Lösung
-
-
- #+BEGIN_NOTE
  Mit der Webseite [haveibeenpwned.com](https://haveibeenpwned.com/) kannst du schauen, ob deine Mail-Adresse Teil eines Data Breachs ist. Spätestens dann ist es Zeit für ein neues Passwort!
  #+END_NOTE
-
- ### Theoretische Sicherheit - Kombinatorik
  
  Die obengenannten Vorgaben für gute Passwörter stützen sich auf der Anzahl der möglichen Passwörter.
  
  Wenn wir davon ausgehen, dass das Passwort 8 Zeichen lang ist und an jeder Stelle Groß- und Kleinbuchstaben, Ziffern sowie die Sonderzeichen `!?@(){}[]\/=~$%&#*-+.,_` erlaubt sind, dann ergibt das 
  
  $(26+26+10+23)^8 = 85^8 = 2.724.905.250.390.625$ mögliche Passwörter (also ca. 2,7 Billiarden).
-
- #+BEGIN_PINNED
  **Aufgabe** 
  Recherchiere, wie viele Passwörter bei einem Brute-Force-Angriff auf eine Passwortdatei heute pro Sekunde in etwa durchgeführt werden können, wenn  leistungsfähige Hardware zur Verfügung steht. Welche Hardware wird verwendet? Wie lange würde ein Passwort, das den minimalen Anforderungen eines "guten" Passworts entspricht, maximal standhalten?
  #+END_PINNED
	- *Lösung*
-
- #+BEGIN_PINNED
  **Aufgabe**
  Berechne die Anzahl der Kombinationsmöglichkeiten für ein 8 Zeichen langes Passwort, dass nur aus Groß- und Kleinbuchstaben besteht? Beurteile, ob ein um eine Stelle längeres Passwort oder ein Passwort mit zusätzlichen Ziffern sicherer ist.
  #+END_PINNED
	- *Lösung*
-
- #+BEGIN_PINNED
  **Aufgabe**
  Wie viele mögliche Passwörter gibt es bei der EC-Karte? Wie viele beim typischen Online-Banking? Wie versuchen Banken, dennoch eine gewisse Sicherheit zu garantieren? 
  
  #+END_PINNED
	- *Lösung*
-
-
-
- ## Passwort 2.0 - Passphrasen
  
  #+BEGIN_NOTE
  Relativ lange Passwörter, die aber dennoch gut für memorieren sind, werden oft als so genannte Passphrasen bezeichnet.
  #+END_NOTE
- Beim Erstellen solcher Passphrasen sind der Phantasie keine Grenzen gesetzt, so dass eine mögliche Passphrase zum Beispiel sein könnte: 
  
  `nadaborder4fanta=hinreichend4heitERsicht`
-
-
- ### Sinnvolles generieren eines Passwortes
  
  Ein weiteres Problem ist die **Vielzahl** an Passwörtern, welche man sich merken muss.
  Es gibt **einfache Regeln** an die man sich halten kann, um sich diese Menge an Wörtern zu merken.
  
  **Beispiel**
  
  *Passwort:* MILzmwDiJ2023rg!lernsax<br />
  *Herleitung:* **M**ein **I**nfo-**L**ehrer **z**eigt **m**ir **w**ie **D**atenschutz **i**m **J**ahr 2023 **r**ichtig **g**eht.
  
  Nach dem ! erscheint lediglich der Dienst, für den das Passwort gelten soll.
  
  Wird gefordert, dass eine Passphrase unbedingt Sonderzeichen und Großbuchstaben enthalten muss, so lassen sich diese meist leicht in eine beabsichtigte Passphrase einbauen.
- ## Wie werden Passwörter bei Portalen gesichert?
  
  Weiter stellt sich die Frage, wie Dienste bei denen man angemeldet ist, die Passwörter sichern. Eine einfache tabellarische Darstellung mit Nutzername und Passwort wäre ein erhöhtes Sicherheitsrisiko. Was, wenn diese Datei "geklaut" werden würde.
  Dazu verwendet man sogenannte Hash-Werte.
  i>Ein Hash-Wert ist eine Rechenoperation, welches aus dem Eingabewert einen Zielwert errechnet. Lediglich dieser Zielwert wird bei dem Anbieter abgelegt und bei jedem Login verglichen. Entspricht der abgelegte Hashwert dem aktuellen, wird der Login als positiv bewertet.
-
- collapsed:: true
  #+BEGIN_PINNED
  **Aufgabe**
  Ließ folgenden [Artikel](https://www.datenschutzbeauftragter-info.de/hashwerte-und-hashfunktionen-einfach-erklaert/) und notiere dir wichtige Sachverhalte zum Verständnis des Hashwertes bzw. von Hashfunktionen zur Sicherung von Passwörtern. Gehe auch auf die Anforderungen an die Hashfunktion ein.
  #+END_PINNED
	- Lösung
-
- collapsed:: true
  #+BEGIN_PINNED
  **Aufgabe**
  Was versteht man unter einem Rainbow table und einer Dictionary Attack?
  
  #+END_PINNED
	- *Lösung*
-
-
- ## Die Sicherheitsfrage kann schnell wieder alles kaputt machen:
  
  Bei vielen Diensten im Internet kann man beim Einrichten eine Antwort auf eine so genannte Sicherheitsfrage angeben, mit deren Hilfe man später ein vergessenes Passwort wieder zurücksetzen kann. Als Sicherheitsfrage wird dann oft zum Beispiel nach dem Mädchenname der eigenen Mutter oder nach dem Namen des ersten Haustieres gefragt. Da solche Antworten aber relativ leicht zu erraten sind, wird die Sicherheit des eigentlichen Passwortes durch solche Sicherheitsfragen schnell ad absurdum geführt. Ein möglicher Ausweg ist es, als Antwort auf die Sicherheitsfrage einfach auch wieder eine starke Zufallspassphrase hinreichender Länge zu verwenden. Diese Sicherheits-Passphrase kann man dann getrennt von dem eigentlichen Passort wiederum in einem Passwortspeicher oder auch ausgedruckt an einem sicheren Ort verwahren.